{
  "name": "SpectralPlot",
  "private": true,
  "version": "0.0.1",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "mybuild": "node -e \"require('child_process').exec('powershell -ExecutionPolicy Bypass -File ./src-tauri/pre-build.ps1')\"",
    "preview": "vite preview",
    "tauri": "tauri"
  },
  "dependencies": {
    "@braks/revue-draggable": "^0.5.0",
    "@tauri-apps/api": "^1.5.3",
    "bootstrap": "^5.3.3",
    "bootstrap-vue-next": "^0.17.6",
    "clipboard": "^2.0.11",
    "echart": "^0.1.3",
    "echarts": "^5.4.3",
    "element-plus": "^2.4.4",
    "json-editor-vue3": "^1.1.1",
    "less": "^4.2.0",
    "maptalks": "^1.1.3",
    "markdown-it": "^14.1.0",
    "mitt": "^3.0.1",
    "serialport": "^12.0.0",
    "vue": "^3.3.4",
    "vue-drag-resize": "^2.0.3",
    "vue-json-viewer": "^3.0.4",
    "vue-markdown-render": "^2.2.1",
    "vue3-json-editor": "^1.1.5",
    "vue3-konami-code": "^1.0.0"
  },
  "devDependencies": {
    "@arco-design/web-vue": "^2.57.0",
    "@tauri-apps/cli": "^1.5.11",
    "@vitejs/plugin-vue": "^5.0.4",
    "unplugin-vue-components": "^0.27.0",
    "vite": "^6.2.3"
  }
}
